org.appng.core.xml.repository

## Class Packages

- java.lang.Object
- - org.appng.core.xml.repository.Packages

-     public class Packages
      extends Object

  Java class for packages complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="packages">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="certification" type="{http://www.appng.org/schema/repository}certification"/>
               <element name="package" type="{http://www.appng.org/schema/repository}package" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Package>` | `_package`
    `protected Certification` | `certification`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Packages()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Certification` | `getCertification()` Gets the value of the certification property.
    `List<Package>` | `getPackage()` Gets the value of the package property.
    `void` | `setCertification(Certification value)` Sets the value of the certification property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### certification

          protected Certification certification

    - #### _package

          protected List<Package> _package

  - ### Constructor Detail

    - #### Packages

          public Packages()

  - ### Method Detail

    - #### getCertification

          public Certification getCertification()

      Gets the value of the certification property.
      Returns:
        possible object is `Certification`

    - #### setCertification

          public void setCertification(Certification value)

      Sets the value of the certification property.
      Parameters:
        `value` - allowed object is `Certification`

    - #### getPackage

          public List<Package> getPackage()

      Gets the value of the package property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the package property.

      For example, to add a new item, do as follows:

              getPackage().add(newItem);

      Objects of the following type(s) are allowed in the list `Package`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.